## org.hibernate.bytecode.util
Interface ClassDescriptor

    public interface ClassDescriptor

Contract describing the information Hibernate needs in terms of instrumenting a class, either via ant task or dynamic classloader.

Author:
  Steve Ebersole

Method Summary
`byte[]` `getBytes()` The bytes making up the class' bytecode.
`String` `getName()` The name of the class.
`boolean` `isInstrumented()` Determine if the class is already instrumented.

Method Detail

### getName

    String getName()

  The name of the class.

  Returns:
    The class name.

### isInstrumented

    boolean isInstrumented()

  Determine if the class is already instrumented.

  Returns:
    True if already instrumented; false otherwise.

### getBytes

    byte[] getBytes()

  The bytes making up the class' bytecode.

  Returns:
    The bytecode bytes.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.